<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\User as Authenticatable;


class MonitorConfig extends Model
{
    use HasFactory;

    public $connection = 'mysql2';

   
    /**
     * The table associated with the model.
     *
     * @var string
    */ 
    protected $table = 'monitor_config';

    /**
     * set primary key of table
     *
     * @var integer
     */
    //protected $primaryKey = 'id';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = true;

    public function monitor()
    {
        return $this->hasOne('\App\Models\Monitor');
    }

    public function config()
    {
        return $this->hasOne('\App\Models\Config');
    }

    
    /**
     * fillable column name goes here
     *
     * @var array
     */
    protected $fillable = [
        'id',
        'monitor_id',
        'config_id',
        'date_format',
        'clock_format',
        'created_by',
        'updated_by',
        'deleted_by'
    ];


  
}
