<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Foundation\Auth\User as Authenticatable;
//use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\DB;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use Cviebrock\EloquentSluggable\Sluggable;
use Illuminate\Database\Eloquent\SoftDeletes;


class Site extends Model
{
    use HasFactory;
    use Sluggable;
    use SoftDeletes;

    public $connection = 'mysql2';

   
    /**
     * The table associated with the model.
     *
     * @var string
    */ 
    protected $table = 'sites';

    /**
     * set primary key of table
     *
     * @var integer
     */
    //protected $primaryKey = 'id';

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = true;

    /**
     * fillable column name goes here
     *
     * @var array
     */
    protected $fillable = [
        'id',
        'name',
        'location',
        'company_id',
        'slug',
        'created_by',
        'updated_by',
        'deleted_by'
    ];


    public function sluggable(): array
    {
        return [
            'slug' => [
                'source' => 'name'
            ]
        ];
    }

    function create($request)
    {
        // DB::connection('mysql2')->table('sites')->insert(

        //     ['name' => 'tes', 'location' => 'loac']
    
        // );
        
        $site = Site::insert([
            'name' => 'a',
            'slug' => 'tt',
            'location' => 'jj',
            'company_id' => '1',
        ]);
        return $site;
    }
    function creteTable($table_name)
    {
        // Schema::connection($this->connection)->create($table_name, function (Blueprint $table) {
        //     $table->increments('id');
        //     $table->timestamps();
        // });
    }
}
