<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Config;

class ConfigSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Config::truncate();

        $config =[
        [
            'title'=>'Select date display style',
            'slug'=>'select-date-display-style',
            'sort'=>1,
            'info'=>'Choose your date style'
        ],
        [
            'title'=>'Select Clock Style',
            'slug'=>'select-clock-style',
            'sort'=>2,
            'info'=>'Choose your preferred clock style'
        ],
        [
            'title'=>'Display advertise',
            'slug'=>'display-advertise',
            'sort'=>3,
            'info'=>'This displays the advertise on the left of the screen'
        ],
        [
            'title'=>'Ask follow-up questions following good feedback',
            'slug'=>'ask-follow-up-questions-if-initial-feedback-good',
            'sort'=>4,
            'info'=>'If you would like to know why
            someone has rated the
            facilities ?good?, you can ask
            them via a series of follow up
            questions, or allow them to
            type their own feedback. This
            is configured in the Issue
            Management settings.'
        ],
        [
            'title'=>'Ask follow-up questions following poor feedback',
            'slug'=>'ask-follow-up-questuibs-if-initial-feedback-poor',
            'sort'=>5,
            'info'=>'If you would like to know why
            someone has rated the
            facilities ?poor?, you can ask
            them via a series of follow up
            questions, or allow them to
            type their own feedback. This is configured in the Issue
            Management settings.'
        ]
        ];
        Config::insert($config);
    }
}
