@include('common.messages')
@include('common.errors')
<div class="mb-3">
    <label class="form-label" for="basic-default-fullname">Company Name</label>
    <input type="text" name="name" class="form-control" id="basic-default-fullname" placeholder="Company Name" value="{{ $company->name ?? old('name') }}" />
</div>
<div class="mb-3">
    <label class="form-label" for="basic-default-email">Email</label>
    <div class="input-group input-group-merge">
    @if(isset($is_edit))
    <label>{{ $company->email ?? ''}}</label>
    @else
    <input
        type="email"
        id="basic-default-email"
        name="email"
        class="form-control"
        placeholder="Email"
        aria-label="Email"
        aria-describedby="basic-default-email2"
        value="{{ old('email') }}"
    />
    <span class="input-group-text" id="basic-default-email2">@example.com</span>
    @endif    
    </div>
    <div class="form-text">You can use letters, numbers & periods</div>
</div>
@if(!isset($is_edit))
<div class="mb-3">
    <label class="form-label" for="basic-default-company">Password</label>
    <input type="password" name="password" class="form-control" id="basic-default-company" placeholder="Password" />
</div>
@endif

<div class="mb-3">
    <label class="form-label" for="basic-default-company">Username</label>
    @if(isset($is_edit))
    <p><label class="font-weight-bold">{{ $company->username ?? ''}}</label></p>
    @else
    <input type="text" name="username" class="form-control" id="basic-default-company" value="{{ old('username') }}" placeholder="Username" />
    @endif
</div>
<div class="mb-3">
    <label class="form-label" for="basic-default-phone">Phone No</label>
    <input
    type="text"
    id="basic-default-phone"
    class="form-control phone-mask"
    placeholder="658 799 8941"
    name="contact_no"
    value="{{ $company->contact_no ?? old('contact_no') }}"
    />
</div>
<div class="mb-3">
    <label class="form-label" for="basic-default-phone">Logo</label>
    <input
    type="file"
    name="profile_photo_path"
    />

@if(isset($company->profile_photo_path) && !empty($company->profile_photo_path))
    <img src="{{ asset($company->profile_photo_path) }}" />
@endif
</div>


