@extends('layouts.admin.master')
@section('content')
<div class="container-xxl flex-grow-1 container-p-y">
    @include('common.messages')
    @include('common.errors')
    <!-- Hoverable Table rows -->
    <div class="card">
        <div class="row">
            <div class="col-md-9">                                    
                <h5 class="card-header">Listing</h5>            
            </div>
        </div>
        <div class="container">
            {!! Form::open([
                    'route' => ['rating.listing'],
                    'method' => 'GET',
                    'name' => 'add_feedback_questions_form',
                    'id' => 'add_feedback_questions_form',
                    'autocomplete' => 'off',
                    'enctype' => 'multipart/form-data'
                ])
            !!}
            <div class="row">
                <div class="mb-3 col-md-3">
                    <div class="col-md-10">
                        <label>From Date</label>
                        <input class="form-control" name="from_date" type="date" value="{{$params['from_date'] ?? ''}}" id="dash_from" placeholder="From Date">
                    </div>
                </div>
                <div class="mb-3 col-md-3">
                    <div class="col-md-10">
                        <label>To Date</label>
                        <input class="form-control" name="to_date" type="date" value="{{$params['to_date'] ?? ''}}" id="dash_to" placeholder="To Date">
                    </div>
                </div>

                <div class="mb-3 col-md-3">
                    <div class="col-md-10">
                    <label>Monitor</label>
                    {!! Form::select('monitor_id', [0 => 'All'] + $monitors, old('monitor_id', (!empty($params['monitor_id']) && $params['monitor_id']) ? $params['monitor_id'] : ''), ['class' => 'form-control', 'id' => 'monitor_id']) !!}
                    </div>
                </div>

                <div class="mb-3 col-md-1">
                    <button type="submit" class="btn btn-small btn-primary">Submit</button>
                </div>
            </div>
            {!! Form::close() !!}
        
            <div class="table-responsive text-nowrap">
                <table class="table table-hover">
                <thead>
                    <tr>
                    <th>Monitor</th>
                    <th>Total Positive</th>
                    <th>Total Negative</th>
                    <th>Total Neutral</th>
                    <th>Date</th>
                    <th>Actions</th>
                    </tr>
                </thead>
                <tbody class="table-border-bottom-0">
                    @if(!empty($ratings))
                    @foreach($ratings as $k=>$c)
                    <?php //echo '<pre>';print_r($c); exit;?>
                    <tr>
                        <td>
                            @php 
                                $monitor = \App\Models\Monitor::where('id',$c['monitor_id'])->get()->first();
                                echo $monitor->inbuild_location.' '.$monitor->build_location;
                            @endphp
                        </td>
                        <td>{{ $c['positive'] }}</td>
                        <td>{{ $c['negative'] }}</td>
                        <td>{{ $c['nuetral'] }}</td>
                        <td>
                            @php 
                            $date = new DateTime($c['created_at'], new DateTimeZone('UTC'));
                            $date->setTimezone(new DateTimeZone('Europe/London'));
                            echo $date->format('m/d/Y H:i:s');
                            @endphp
                        <td>
                        <a class="btn btn-small btn-warning" href="{{ route('rating.show',$c['id']) }}"
                        > Details</a>
                        </td>
                    </tr>
                    @endforeach
                    @endif
                </tbody>
                </table>
            </div>
            <div class="pull-right">
                {{ $ratings->links() }}
            </div>
        </div>
    </div>
    <!--/ Hoverable Table rows -->
</div>
@endsection