@extends('layouts.admin.master')
@section('content')
<div class="container-xxl flex-grow-1 container-p-y">
    @include('common.messages')
    @include('common.errors')
    <!-- Hoverable Table rows -->
    <div class="card">
        <div class="row">
            <div class="col-md-9">                                    
                <h5 class="card-header">Listing</h5>            
            </div>
            <div class="col-md-3" style="margin-top:20px;">                                    
                <a href="{{ route('site_users.create') }}" class="btn btn-success btn-large pull-right">Add User</a>
            </div>
        </div>
        <div class="table-responsive text-nowrap">
            <table class="table table-hover">
            <thead>
                <tr>
                <th>Username</th>
                <th>Login Key</th>
                <th>Email</th>
                <th>Contact</th>
                <th>Actions</th>
                </tr>
            </thead>
            <tbody class="table-border-bottom-0">
                @if(!empty($site_users['site_users']))
                @foreach($site_users['site_users'] as $k=>$c) 
                <tr>
                    {{-- <td>{{ $c['site_name'] }}</td> --}}
                    <td>{{ $c['username'] }}</td>
                    <td>{{ $c['login_key'] }}</td>
                    <td>{{ $c['email'] }}</td>
                    <td>{{ $c['contact_no'] }}</td>
                    <td>
                        <div class="dropdown">
                        <button type="button" class="btn p-0 dropdown-toggle hide-arrow" data-bs-toggle="dropdown">
                            <i class="bx bx-dots-vertical-rounded"></i>
                        </button>
                        <div class="dropdown-menu">
                            <a class="dropdown-item" href="{{ route('site_users.edit',$c['user_id']) }}"
                            ><i class="bx bx-edit-alt me-1"></i> Edit</a
                            >
                            {!! Form::open(['url' => route('site_users.destroy', $c['id']), 'method' => 'DELETE']) !!}
                            <button class="dropdown-item"
                            ><i class="bx bx-trash me-1"></i> Delete</button
                            >
                            {!! Form::close(); !!}
                        </div>
                        </div>
                    </td> 
                </tr>
                @endforeach
                @endif
            </tbody>
            </table>
            <?php echo $links; ?>
        </div>
    </div>
    <!--/ Hoverable Table rows -->
</div>
@endsection