@extends('layouts.admin.master')
@section('content')
<div class="container-xxl flex-grow-1 container-p-y">
    @include('common.messages')
    @include('common.errors')
    <!-- Hoverable Table rows -->
    <div class="card">
        <div class="row">
            <div class="col-md-9">                                    
                <h5 class="card-header">Listing</h5>            
            </div>
            @if(isAdminPermission() == true)
            <div class="col-md-3" style="margin-top:20px;">                                    
                <a href="{{ route('sites.create') }}" class="btn btn-success btn-large pull-right">Add Site</a>
            </div>
            @endif
        </div>
        <div class="table-responsive text-nowrap">
            <table class="table table-hover">
            <thead>
                <tr>
                <th>Name</th>
                <th>Location</th>
                <th>Actions</th>
                </tr>
            </thead>
            <tbody class="table-border-bottom-0">
                @if(!empty($sites))
                @foreach($sites as $k=>$c)
                <tr>
                    <td>{{ $c['name'] }}</td>
                    <td>{{ $c['location'] }}</td>
                    <td>
                        <div class="dropdown">
                        <button type="button" class="btn p-0 dropdown-toggle hide-arrow" data-bs-toggle="dropdown">
                            <i class="bx bx-dots-vertical-rounded"></i>
                        </button>
                        <div class="dropdown-menu">
                            <a class="dropdown-item" href="{{ route('sites.edit',$c['id']) }}"
                            ><i class="bx bx-edit-alt me-1"></i> Edit</a
                            >
                            @if($role==2)
                            {!! Form::open(['url' => route('sites.destroy', $c['id']), 'method' => 'DELETE']) !!}
                            <button class="dropdown-item"
                            ><i class="bx bx-trash me-1"></i> Delete</button
                            >
                            @endif
                            {!! Form::close(); !!}
                        </div>
                        </div>
                    </td>
                </tr>
                @endforeach
                @endif
            </tbody>
            </table>
        </div>
        <div class="pull-right">
            {{ $sites->links() }}
        </div>
    </div>
    <!--/ Hoverable Table rows -->
</div>
@endsection