<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\TestController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('/', function () {
    return redirect('/login');
});

Route::middleware(['auth:sanctum', 'verified'])->get('/dashboard', function () {
    return view('dashboard');
})->name('dashboard');

Route::prefix('admin')->group(function () {
    Route::get('/demo', [App\Http\Controllers\DemoController::class, 'index']);

    Route::resource('companies',App\Http\Controllers\CompanyController::class);

    Route::middleware('dynamic:sites')->group(function () {
        Route::resource('sites',App\Http\Controllers\SiteController::class);
        Route::resource('site_users',App\Http\Controllers\SiteUsersController::class);
    });
    Route::middleware('dynamic:servey')->group(function () {
        Route::resource('servey',App\Http\Controllers\ServeyController::class);
    });
    Route::middleware('dynamic:questions')->group(function () {
        Route::get('servey/template/{id}/', 'App\Http\Controllers\ServeyTemplateController@view')->name('servey.template');
        Route::get('servey/template/create/{id}/', 'App\Http\Controllers\ServeyTemplateController@create')->name('servey.template.create');
        Route::post('servey/template/store/{id}/', 'App\Http\Controllers\ServeyTemplateController@store')->name('servey.template.store');
        Route::get('servey/dupliacte/{id}', [App\Http\Controllers\ServeyTemplateController::class, 'duplicate'])->name('servey.duplicate');
    });
    Route::middleware('dynamic:feedback_questions')->group(function () {
        Route::resource('feedback_questions',App\Http\Controllers\FeedbackQuestionController::class);
    });
    Route::middleware('dynamic:monitors')->group(function () {
        Route::resource('monitors',App\Http\Controllers\MonitorController::class);
        //Route::get('/monitors/listing',App\Http\Controllers\MonitorController::class,'listing');
        Route::get('monitors/listing', [App\Http\Controllers\MonitorController::class, 'listing']);
        Route::get('monitors/dupliacte/{id}', [App\Http\Controllers\MonitorController::class, 'duplicate'])->name('monitor.duplicate');
    });
    Route::get ('access_company/{id}',[App\Http\Controllers\AccessCompanyController::class,'view']);
});

Route::prefix('api_ui')->group(function () {
    Route::get("index",[App\Http\Controllers\apiui\FormController::class,'index']);
});


Route::get ('logout',[App\Http\Controllers\LogoutController::class,'logout']);

//Route::resource('companies',App\Http\Controllers\CompanyController::class);

// Route::group(['prefix' => 'admin', 'namespace' => '', 'middleware' => ''], function() {
//     Route::get('photos',[App\Http\Controllers\PhotoController::class, 'index']);
// });