<?php $__env->startSection('content'); ?>
<div class="container-xxl flex-grow-1 container-p-y">
    <?php echo $__env->make('common.messages', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('common.errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <!-- Hoverable Table rows -->
    <div class="card">
        <div class="row">
            <div class="col-md-9">                                    
                <h5 class="card-header">Question Report</h5>            
            </div>
            <div class="container">
                <div class="row">
                    <?php echo Form::open([
                        'route' => ['rating.question_report'],
                        'method' => 'GET',
                        'name' => 'question_report_form',
                        'id' => 'question_report_form',
                        'autocomplete' => 'off',
                        'enctype' => 'multipart/form-data'
                    ]); ?>

                    <div class="row">
                        <div class="mb-3 col-md-3">
                            <div class="col-md-10">
                            <label>Monitor</label>
                            <?php echo Form::select('monitor_id', [0 => 'All'] + $monitors, old('monitor_id', (!empty($params['monitor_id']) && $params['monitor_id']) ? $params['monitor_id'] : ''), ['class' => 'form-control', 'id' => 'monitor_id']); ?>

                            </div>
                        </div>

                        <div class="mb-3 col-md-3">
                            <div class="col-md-10">
                            <label>Question</label>
                            <?php echo Form::select('question_id', [0 => 'All'] + $questions, old('question_id', (!empty($params['question_id']) && $params['question_id']) ? $params['question_id'] : ''), ['class' => 'form-control', 'id' => 'question_id']); ?>

                            </div>
                        </div>

                        <div class="mb-3 col-md-3">
                            <div class="col-md-10">
                            <label>View data for</label>
                            <?php echo Form::select('view_data_for', [0 => 'View Data For'] + $view_data_for, old('view_data_for', (!empty($params['view_data_for']) && $params['view_data_for']) ? $params['view_data_for'] : ''), ['class' => 'form-control', 'id' => 'view_data_for']); ?>

                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="mb-3 col-md-3">
                            <div class="col-md-10">
                                <label>From</label>
                                <input class="form-control" type="date" name="from_date" value="<?php echo e($params['from_date'] ?? ''); ?>" id="dash_from" placeholder="From Date">
                            </div>
                        </div>
                        <div class="mb-3 col-md-3">
                            <div class="col-md-10">
                                <label>To</label>
                                <input class="form-control" type="date" name="to_date" value="<?php echo e($params['to_date'] ?? ''); ?>" id="dash_to" placeholder="To Date">
                            </div>
                        </div>

                        <div class="mt-4 col-md-3">
                            <button type="submit" class="btn btn-small btn-primary pull-left">Submit</button>
                        </div>
                    </div>
                    <?php echo Form::close(); ?> 
                    
                    <!---- Question Report Smiley Section Start ------->
                    <div class="row">
                        <div class="table-row">
                            <div class="feed-row total-feedback" style="width:100%">

                                <!---- Positive feedback --->
                                <div class="feddback-col" style="margin-right: 4px;">
                                    <div class="row">
                                        <div class="col-md-5">
                                            <h5><?php echo e(isset($data['ratings']['positive_per']) ? number_format($data['ratings']['positive_per'],2) : 0); ?>%</h5>
                                            <h3><?php echo e(isset($data['ratings']['positive_count']) ? $data['ratings']['positive_count'] : 0); ?></h3>
                                        </div>
                                        <div class="col-md-7" style=" padding-left: 0;">
                                            <img src="<?php echo e(url('admin/images/ic_4.gif')); ?>" alt="">
                                        </div>
                                    </div>
                                    <h2>Positive</h2>
                                </div>
                                
                                <!---- Netrual feedback --->
                                <div class="feddback-col" style="margin-right: 4px;">
                                    <div class="row">
                                        <div class="col-md-5">
                                            <h5><?php echo e(isset($data['ratings']['neutral_per']) ? number_format($data['ratings']['neutral_per'],2) : 0); ?>%</h5>
                                            <h3><?php echo e(isset($data['ratings']['neutral_count']) ? $data['ratings']['neutral_count'] : 0); ?></h3>
                                        </div>
                                        <div class="col-md-7" style=" padding-left: 0;">
                                            <img src="<?php echo e(url('admin/images/ic_3.gif')); ?>" alt="">
                                        </div>
                                    </div>
                                    <h2>Neutral</h2>
                                </div>

                                <!---- Negative feedback --->
                                <div class="feddback-col" style="margin-right: 4px;">
                                    <div class="row">
                                        <div class="col-md-5">
                                            <h5><?php echo e(isset($data['ratings']['negative_per']) ? number_format($data['ratings']['negative_per'],2) : 0); ?>%</h5>
                                            <h3><?php echo e(isset($data['ratings']['negative_count']) ? $data['ratings']['negative_count'] : 0); ?></h3>
                                        </div>
                                        <div class="col-md-7" style=" padding-left: 0;">
                                            <img src="<?php echo e(url('admin/images/ic_1.gif')); ?>" alt="">
                                        </div>
                                    </div>
                                    <h2>Negative</h2>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!---- Question Report Smiley Section End ------->

                    <!---- Question Graphs Start ------>
                    <div class="row mt-4">
                        <div class="col-md-9">
                            <h5>Customer Feedback in hours</h5>
                            <div class="avr-footfall second-side">
                                <div class="col-md-12" id="curve_chart" style="width: 100%; height: 350px;"></div>
                                <div class="right-axs">Number of presses</div>
                                <div class="left-axs">Hour of day</div>
                            </div>
                        </div>
                    </div>

                    <div class="row mt-4">
                        <div class="col-md-12 chart-style monitor_cust_feedback_in_per" id="customer_feedback_per_div">
                            <h5>Customer Feedback in hours (In Per)</h5>
                            <div class="avr-footfall customer-per">
                                <div class="col-md-12 customer_feedback_per" id ="container" style="width:100%;height:400px;"></div>
                                <div class="right-axs">Hour of day</div>
                                <div class="left-axs">Percentage</div>
                            </div>
                        </div> 
                    </div>
                    <!---- Question Graphs End ------>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
<script src="<?php echo e(asset('admin/js/chart_loader.js')); ?>"></script>
<script src="<?php echo e(asset('admin/js/dashboard_graphs.js')); ?>"></script>
<script type="text/javascript">
    google.charts.setOnLoadCallback(function () {
        drawChart(<?=$data['jsonTable']?>);
        MonitorFeedbackInHour(<?=$data['jsonTable']?>);
    });
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/resources/views/admin/ratings/question-report.blade.php ENDPATH**/ ?>